﻿@import url("/design-system/css/variables.css");
@import url("/design-system/css/button.css");
@import url("/design-system/css/color.css");
@import url("/design-system/css/dynamic-tooltip.css");
@import url("/design-system/css/input-switcher.css");
@import url("/design-system/css/input-spinner.css");
@import url("/design-system/css/menu.css");
@import url("/design-system/css/pagination.css");
@import url("/design-system/css/search-filter.css");
@import url("/design-system/css/typography.css");
@import url("/design-system/css/tab.css");
@import url("/design-system/css/table.css");
@import url("/design-system/css/shadow.css");
@import url("/design-system/css/select.css");
@import url("/design-system/css/steps-form.css");
@import url("/design-system/css/position-selector.css");
@import url("/design-system/css/chip.css");
@import url("/design-system/css/input.css");
@import url("/design-system/css/tooltip.css");
@import url("/design-system/css/toast.css");
@import url("/design-system/css/bootbox.css");
@import url("/design-system/css/card.css");
@import url("/design-system/css/scrollbar.css");
@import url("/design-system/css/skeleton.css");
@import url("/design-system/css/check-radio-box.css");
@import url("/design-system/css/watermark.css");

body {
    color: var(--gray--900);
    font-family: "Source Sans 3", sans-serif;
    overflow-y: hidden;
}

.page-content {
    background-color: #F0F2F5;
    position: relative;
    padding: 24px 12px;
    height: 100dvh;
    overflow-y: auto;
}

    .page-content .row {
        margin: 0px;
    }

:focus-visible {
    outline: none;
}

.main-container {
    height: 100dvh;
}


a {
    text-decoration: none !important;
}

.overflow-y-auto {
    overflow-y: auto !important;
}
.rounded-start {
    border-top-left-radius: 8px !important;
    border-bottom-left-radius: 8px !important;
}
.rounded-end {
    border-top-right-radius: 8px !important;
    border-bottom-right-radius: 8px !important;
}
    .w-105 {
        width: 105%;
    }

/*Calendar*/
.calendar .toolbar button {
    border: 1px solid #D4D8DB;
    border-radius: 8px;
    padding: 0px;
    background: none;
    height: 30px;
    width: 30px;
    line-height: 30px;
}

.calendar .toolbar.mobile {
    border-bottom: 2px solid #F0F0F0;
}

.calendar .view.mobile {
    overflow: auto;
    height: calc(100dvh - 240px);
}

.calendar .view .header {
    border-bottom: 1px solid #F0F0F0;
    padding-bottom: 8px;
    margin-bottom: 8px;
}

.calendar .view:hover .header.mobile {
    border: none;
    box-shadow: none;
    padding: 0px 0px 0px 0px;
}

.calendar .view .body {
    flex-basis: 0;
    overflow-y: auto;
    overflow-x: hidden;
}

    .calendar .view .body .col {
        min-width: 0;
    }

    .calendar .view .body.mobile {
        height: auto;
        padding-top: 8px;
        padding-bottom: 24px;
    }

    .calendar .view .body .route {
        position: relative;
        border-radius: 10px;
        padding: 8px;
        margin: 0px 8px 8px 8px;
        cursor: pointer !important;
    }


        .calendar .view .body .route.repeat:after {
            content: url('/images/svg/md/repeat.svg');
            position: absolute;
            bottom: 8px;
            right: 8px;
        }

        .calendar .view .body .route.mobile {
            margin: 8px 0px;
        }

        .calendar .view .body .route.route-grey {
            background: #F6F6F7;
        }

        .calendar .view .body .route.route-secondary {
            background: #F2F6FF;
        }

        .calendar .view .body .route.route-success {
            background: #F0F9EB;
        }

        .calendar .view .body .route.route-warning {
            background: #FEFFE6;
        }

        .calendar .view .body .route.route-danger {
            background: #FFF2EE;
        }

/*Cheange History*/
ol.change-history {
    list-style: none;
}

    ol.change-history > li {
        font-size: 16px;
        font-weight: 400;
    }

        ol.change-history > li > .fa-circle {
            color: #00A5BD
        }

        ol.change-history > li > ul {
            list-style: none;
            margin-left: 24px !important;
        }

            ol.change-history > li > ul > li.title {
                font-size: 18px;
                font-weight: 600;
            }

            ol.change-history > li > ul > li.description {
                font-size: 18px;
                font-weight: 400;
            }



/*Login Css*/
.z-index-content {
    z-index: 10;
}
.login-page {
    background-color: #F0F2F5;
    position: relative;
    width: 100%;
    min-height: 100vh;
    overflow-x: hidden;
}
    .login-page .login-container {
        width: 100%;
        background-color: #FFFFFF;
        border: 1px solid #D9D9D9;
        border-radius: 24px;
        padding: 24px;
        box-shadow: 0px 1px 1px 0px #272A2D24,0px 1px 3px 0px #272A2D33;
    }

    /* 讓插圖層變成一個絕對定位的容器 */
    .login-page .illustration-layer {
        position: absolute;
        top: 0;
        left: 28%;
        width: 100%;
        height: 100%;
        z-index: 1;
        pointer-events: none;
        overflow: hidden;
    }

        .login-page .illustration-layer img {
            position: absolute;
            height: 80%;
            top: 50%;
            transform: translateY(-50%);
            transition: all 0.3s ease; /* 縮放時平滑過度 */
        }

    .login-page .fixed-bottom-logo {
        position: fixed;
        right: 24px; /* 距離右邊 24px */
        bottom: 24px; /* 距離底部 24px */
        z-index: 1050; /* 確保在背景圖與卡片上方 */
    }
        .login-page .fixed-bottom-logo img {
            height: 40px;
            width: auto;
        }

@media (min-width: 768px) {
    .login-page .illustration-layer img {
        left: 13%;
        height: 70%;
    }
        .login-page .fixed-bottom-logo img {
            height: 80px;
        }
}

@media (min-width: 1024px) {
    .login-page .illustration-layer img {
        top:47%;
        left: 13%;
        height: 85%;
    }
}

@media (min-width: 1440px) {
    .login-page .illustration-layer img {
        left: 20%; /* 大螢幕空間多，圖片可以往左伸一點 */
        height: 100%;
    }
}
/*Check Css*/
.black {
    color: #363636;
}

.alert {
    padding: 9px 16px;
}

.alert-info {
    background-color: #E6F7FF !important;
    border-color: #91D5FF !important;
    color: #000000;
    border-radius: 8px;
}

.alert-warning {
    background-color: #FFFBE6 !important;
    border-color: #FFE58F !important;
    color: #000000;
    border-radius: 8px;
}

.alert-reminder {
    background-color: var(--blue--50);
    border-color: var(--blue--200);
    color: #000000;
    border-radius: 8px;
}

.error-area,
.repair-area,
.check-unit {
    border-radius: 8px;
    padding: 12px;
    margin-right: 16px;
    margin-bottom: 16px;
    position: relative;
}

    .repair-area a,
    .check-unit a {
        font-size: 12px;
        font-weight: 400;
        line-height: 20px;
        color: #00A5BD;
        cursor: pointer;
    }

.dot {
    position: absolute;
    top: -3px;
    left: 80%;
    width: 5px;
    height: 5px;
    border-radius: 50%;
}

a.view-reapir,
a.view-log {
    text-decoration: underline;
    float: right;
    cursor: pointer;
}

a.unit-ellipsis {
    position: absolute;
    right: 20px;
    top: 20px;
    color: #363636;
}

    a.unit-ellipsis:hover {
        color: #00A5BD;
    }

a.unit-close {
    position: absolute;
    right: 11px;
    top: 21px;
    width: 30px;
    height: 30px;
    line-height: 17px;
    text-align: center;
    border: 2px solid transparent;
    border-radius: 16px;
    font-size: 30px;
    text-indent: 0
}

    a.unit-close:before {
        color: #404047;
        content: "×"
    }

    a.unit-ellipsis:hover,
    a.unit-close:hover {
        text-decoration: none;
    }

.unit-scanned,
.repair-area,
.error-area {
    background: #EDFAFC;
}

.unit-default {
    background: #F2F2F2;
}

.unit-error {
    background: #FDE9ED;
}


/*Work-Area Css*/
.work-area {
    background-color: #FFFFFF;
    border: 1px solid #D9D9D9;
    border-radius: 24px;
    padding: 24px;
    box-shadow: 0px 1px 1px 0px #272A2D24,0px 1px 3px 0px #272A2D33;
}

    .work-area p.title {
        color: #00A5BD !important;
        font-size: 18px !important;
        font-weight: 600 !important;
        line-height: 18px !important;
        letter-spacing: 0em !important;
    }

    .work-area p.intro {
        display: flex;
        align-items: center;
        font-style: normal;
        font-weight: 400;
        font-size: 16px;
        line-height: 20px;
        color: #7D7D7D;
    }

    .work-area p.tag {
        background: #FFFFFF;
        border-radius: 4px;
        font-style: normal;
        font-weight: 600;
        font-size: 16px;
        color: #363636;
        width: fit-content;
    }

    .work-area label.sub-intro {
        font-size: 14px;
        font-weight: 400;
        line-height: 22px;
        color: #000000D9;
    }

    .work-area p.sub-intro {
        font-size: 16px;
        font-weight: 600;
    }


    .work-area p.content {
        font-style: normal;
        font-weight: 400;
        font-size: 18px;
        line-height: 18px;
        color: #363636;
    }

    .work-area ul li ul li {
        list-style-type: none;
    }

    .element-input label.sub-title,
    .work-area .element-input label.sub-title {
        font-size: 18px;
        font-weight: 600;
    }

.result {
    word-wrap: break-word;
    font-style: normal;
    font-weight: 400;
    font-size: 16px;
    line-height: 20px;
    color: #363636;
    margin-bottom: 0px;
}

.work-area .border-bottom:last-child {
    border: none !important;
}

.work-area .rule-item:only-child .rule-remove,
.work-area .product:only-child .product-remove {
    display: none;
}

.work-area .product .storage-item:only-child .storage-remove {
    display: none;
}

/*List Css*/


.complete-list, .product-list, .inprogress-list, .packed-list {
    padding: 16px 0px;
}


/*Storage Css*/
.storage-item-green {
    background-color: #E8F9FC;
    border: 2px solid #00A5BD;
    border-radius: 16px;
    padding: 24px;
    position: relative;
}

.storage-item-white {
    background-color: #FFFFFF;
    border: 2px solid #D9D9D9;
    border-radius: 16px;
    padding: 24px;
    position: relative;
}

.storage-item-title {
    font-size: 20px;
    font-weight: bold;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.storage-item-sub-title {
    font-size: 14px;
    color: #8C8C8C;
}

.storage-blue-green {
    background-color: #E8F9FC;
    border: 2px solid #90DAE5;
    border-radius: 4px;
    font-size: 12px;
    font-weight: bold;
    color: #90DAE5;
    width: auto;
    line-height: 24px;
}

.storage-blue {
    background-color: #E7F2FC;
    border: 2px solid #97C5F0;
    border-radius: 4px;
    font-size: 12px;
    font-weight: bold;
    color: #97C5F0;
    width: auto;
    line-height: 24px;
}

.storage-green {
    background-color: #F6FFED;
    border: 2px solid #B7EB8F;
    border-radius: 4px;
    font-size: 12px;
    font-weight: bold;
    color: #B7EB8F;
    width: auto;
    line-height: 24px;
}

.storage-grey {
    background-color: #FAFAFA;
    border: 2px solid #D9D9D9;
    border-radius: 4px;
    font-size: 12px;
    font-weight: bold;
    color: #000000;
    width: auto;
    line-height: 24px;
}

.sku-iot-grey {
    background-color: #FAFAFA;
    border: 1px solid #D9D9D9;
    border-radius: 4px;
    font-size: 12px;
    font-weight: bold;
    color: #000000;
    width: auto;
    line-height: 20px;
}

.sku-iot-blue {
    background-color: #DCEAF8;
    border: 1px solid #97C5F0;
    border-radius: 4px;
    font-size: 12px;
    font-weight: bold;
    color: #97C5F0;
    width: auto;
    line-height: 20px;
}

/*Lost CSS*/
.lost-row {
    background-color: #fff3cd;
}
/*Element-chip & Tag label*/

.scrapped-status {
    border: 2px solid #CBCBCB !important;
    border-radius: 4px !important;
    background-color: #FBFBFB !important;
    width: 100%;
    text-align: center;
    color: #7D7D7D !important;
    font-weight: 400;
    font-size: 14px;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
    line-height: 28px;
}

.blue-status {
    border: 2px solid #038AEC !important;
    border-radius: 4px !important;
    background-color: #D4EBFC !important;
    width: 100%;
    text-align: center;
    color: #363636;
    font-weight: 400;
    font-size: 14px;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
    line-height: 28px;
}

.full-status {
    border: 2px solid #ED5F5F !important;
    border-radius: 4px !important;
    background-color: #FDE9ED !important;
    width: 100%;
    text-align: center;
    color: #363636;
    font-weight: 400;
    font-size: 14px;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
    line-height: 28px;
}


.dropdown-menu > li > a {
    font-size: 16px;
    border-radius: 4px !important;
    border: none;
}

    .dropdown-menu > li > a:hover {
        color: black;
        background-color: #DFF6FA;
    }

.dropdown-table {
    position: absolute;
    margin: -12px 12px 0px 12px;
    z-index: 99;
    overflow: auto;
    max-height: 50dvh;
    background: white;
    box-shadow: 0px 9px 28px 8px #0000000D;
}

/*Element-step-form-vertical*/
.wizard.vertical .steps {
    float: left;
    width: 5%;
}

    .wizard.vertical .steps ul {
        position: relative;
        margin: 0px;
    }

        .wizard.vertical .steps ul:after {
            position: absolute;
            content: '';
            width: 2px;
            height: 95%;
            background: #ebebeb;
            left: 18px;
            top: 0px;
            z-index: 9;
        }

        .wizard.vertical .steps ul li {
            padding-bottom: 40px;
            position: relative;
            list-style-type: none;
            z-index: 99;
        }

            .wizard.vertical .steps ul li a {
                text-decoration: none;
                color: #222;
            }

                .wizard.vertical .steps ul li a .title {
                    -webkit-align-items: center;
                }

                    .wizard.vertical .steps ul li a .title .step-number {
                        width: 35px;
                        height: 35px;
                        -webkit-align-items: center;
                        -webkit-justify-content: center;
                        border-radius: 50%;
                        padding: 4px 8px;
                        background: #CBCBCB;
                        color: #FFFFFF;
                        margin-right: 15px;
                        display: flex;
                    }

            .wizard.vertical .steps ul li.done a .title .step-number {
                background: #00B6D0;
                color: #00B6D0;
            }

                .wizard.vertical .steps ul li.done a .title .step-number:after {
                    content: '\2714\fe0e';
                    color: #FFFFFF;
                    margin-right: 9px;
                }

            .wizard.vertical .steps ul li.current a .title .step-number {
                background: #00B6D0;
            }

.wizard.vertical .content .title {
    margin: 0px;
    height: 80px;
    padding-top: 6px;
    font-size: 22px;
    font-weight: 600;
    line-height: 28px;
    color: #CBCBCB;
}

    .wizard.vertical .content .title.h-auto {
        color: #363636;
    }

    .wizard.vertical .content .title.done {
        color: #363636;
    }

    .wizard.vertical .content .title.current {
        padding-bottom: 0px;
        height: auto;
        color: #363636;
    }

.wizard.vertical .content .body {
    padding: 16px 0px;
}

.wizard.vertical .actions {
    float: left;
}

    .wizard.vertical .actions ul {
        list-style-type: none;
    }

        .wizard.vertical .actions ul li {
            float: left;
        }
/*Element-step-form-horizontal*/

.wizard.horizontal .steps {
    float: left;
    padding-bottom: 18px;
}

    .wizard.horizontal .steps ul {
        margin: 0px;
    }

        .wizard.horizontal .steps ul li:not(.last) :before {
            position: absolute;
            content: '';
            width: 30px;
            height: 1px;
            background: #ebebeb;
            right: 4px;
            top: 18px;
            z-index: 9;
        }

        .wizard.horizontal .steps ul li.done:not(.last) ::before {
            background: #00B6D0;
        }

        .wizard.horizontal .steps ul li {
            float: left;
            padding-right: 40px;
            position: relative;
            list-style-type: none;
            z-index: 99;
        }

            .wizard.horizontal .steps ul li a {
                text-decoration: none;
                color: #222;
            }

                .wizard.horizontal .steps ul li a .title {
                    -webkit-align-items: center;
                    display: flex;
                }

                    .wizard.horizontal .steps ul li a .title .step-number {
                        width: 40px;
                        height: 40px;
                        -webkit-align-items: center;
                        -webkit-justify-content: center;
                        border-radius: 50%;
                        padding: 4px 8px;
                        background: #CBCBCB;
                        color: #FFFFFF;
                        margin-right: 15px;
                        display: flex;
                    }

            .wizard.horizontal .steps ul li.done a .title .step-number {
                background: #00B6D0;
                color: #00B6D0;
            }

                .wizard.horizontal .steps ul li.done a .title .step-number:after {
                    content: '\2714\fe0e';
                    color: #FFFFFF;
                    margin-right: 9px;
                }

            .wizard.horizontal .steps ul li.current a .title .step-number {
                background: #00B6D0;
            }

.wizard.horizontal .content .title {
    display: none;
}

.wizard.horizontal .content .body {
    display: inline-block;
    width: 100%;
}

.wizard.horizontal .actions {
    float: left;
}

    .wizard.horizontal .actions ul {
        list-style-type: none;
    }

        .wizard.horizontal .actions ul li {
            float: left;
        }
/*Element-step-form-horizontal(mobile)*/

.mobile.wizard.horizontal .steps {
    float: left;
    padding-bottom: 9px;
}

    .mobile.wizard.horizontal .steps ul {
        margin: 0px;
    }

        .mobile.wizard.horizontal .steps ul li:not(.last) :before {
            width: 0px;
        }

        .mobile.wizard.horizontal .steps ul li {
            float: left;
            padding-right: 5px;
            position: relative;
            list-style-type: none;
            z-index: 99;
        }

            .mobile.wizard.horizontal .steps ul li a {
                text-decoration: none;
                color: #222;
            }

                .mobile.wizard.horizontal .steps ul li a .title {
                    -webkit-align-items: center;
                    display: flex;
                }

                    .mobile.wizard.horizontal .steps ul li a .title .step-number {
                        width: 30px;
                        height: 30px;
                        -webkit-align-items: center;
                        -webkit-justify-content: center;
                        border-radius: 50%;
                        padding: 4px 8px;
                        background: #CBCBCB;
                        color: #FFFFFF;
                        margin-right: 8px;
                        display: flex;
                    }

            .mobile.wizard.horizontal .steps ul li.done a .title .step-number {
                background: #00B6D0;
                color: #00B6D0;
            }

                .mobile.wizard.horizontal .steps ul li.done a .title .step-number:after {
                    content: '\2714\fe0e';
                    color: #FFFFFF;
                    margin-right: 9px;
                }

            .mobile.wizard.horizontal .steps ul li.current a .title .step-number {
                background: #00B6D0;
            }

.mobile.wizard.horizontal .content .title {
    display: none;
}

.mobile.wizard.horizontal .content .body {
    display: inline-block;
    width: 100%;
}

.mobile.wizard.horizontal .actions {
    float: left;
}

    .mobile.wizard.horizontal .actions ul {
        list-style-type: none;
    }

        .mobile.wizard.horizontal .actions ul li {
            float: left;
        }

/*Element-accordion*/
.accordion {
    background: transparent;
}

    .accordion .accordion-item {
        border: none;
        background: transparent;
    }

        .accordion .accordion-item .accordion-button {
            box-shadow: none;
            background: transparent;
            font-size: 16px;
            font-weight: 400;
            line-height: 20px;
            letter-spacing: 0em;
            text-align: left;
            color: #363636;
        }

            .accordion .accordion-item .accordion-button.collapsed::after, .accordion-button::after {
                background: none !important;
            }

            .accordion .accordion-item .accordion-button.collapsed i {
                margin-bottom: 0px;
            }

/*Element-Dashboard-Card*/

.dashboard-card {
    background-color: #FFFFFF;
    border: 1px solid #D5D5D5;
    border-radius: 8px;
    padding: 20px 16px;
    margin-right: 16px;
    margin-bottom: 16px;
}

    .dashboard-card.selected {
        border: 2px solid #00A5BD;
    }

        .dashboard-card.selected .select-product {
            display: none;
        }

    .dashboard-card label {
        font-size: 12px;
        font-weight: 600;
        line-height: 12px;
        letter-spacing: 0em;
        text-align: left;
    }

    .dashboard-card:not(.selected) .card-table,
    .dashboard-card:not(.selected) .clear-product,
    .dashboard-card:not(.selected) .cancel-product,
    .dashboard-card:not(.selected) .card-message {
        display: none;
    }

    .dashboard-card .card-table .card-table-header {
        font-size: 12px;
        font-weight: 600;
        line-height: 12px;
        letter-spacing: 0em;
        color: #363636
    }

    .dashboard-card .card-table .card-table-body {
        font-size: 16px;
        font-weight: 400;
        line-height: 20px;
        letter-spacing: 0em;
        color: #363636
    }

    .dashboard-card .card-table .card-table-body-memo {
        font-size: 12px;
        font-weight: 400;
        line-height: 12px;
        letter-spacing: 0em;
        text-align: left;
    }


/*Element-carousel*/
.carousel-caption {
    position: initial;
    color: #363636;
    text-align: left;
    font-size: 18px;
    font-weight: 400;
    line-height: 22px;
    letter-spacing: 0em;
}

.carousel-indicators button {
    width: 8px !important;
    height: 8px !important;
    border-radius: 100%;
    background: #E5E5E5 !important;
    border: none !important;
}

    .carousel-indicators button.active {
        background: #00a5bd !important;
    }

button.carousel-button {
    top: 180px;
    position: absolute;
    border: 2px solid #B2B2B2;
    border-radius: 50%;
    background: rgba(255,255,255,.5);
}

    button.carousel-button i {
        color: #B2B2B2;
    }
/*Element-link*/
a[disabled],
.dropdown-item:disabled {
    color: var(--gray--600) !important;
    cursor: no-drop !important;
    pointer-events: none;
}

a.link {
    cursor: pointer;
    color: #00A5BD;
    font-size: 14px;
    font-weight: 400;
    line-height: 22px;
    text-align: left;
    text-underline-position: from-font;
    text-decoration-skip-ink: none;
}

a.unset {
    color: unset;
}
/*Element-treeview*/
.tree-label,
.tree .icon-caret {
    font-size: 16px;
}

.tree .tree-branch .tree-branch-header:hover,
.tree .tree-branch.tree-selected > .tree-branch-header,
.tree .tree-item.tree-selected,
.tree .tree-item.tree-selected:hover,
.tree .tree-item:hover {
    background: none;
}

.tree .fa-folder-open::before,
.tree .fa-folder::before {
    content: none;
}

.tree .tree-item.tree-selected > .tree-item-name > .tree-label,
.tree .tree-branch.tree-selected > .icon-caret ~ .tree-branch-header > .tree-branch-name > .tree-label {
    color: #00A5BD;
    font-weight: 700;
}

#station-tree .icon-circle-grey {
    padding: 0px;
}

    #station-tree .icon-circle-grey::before {
        content: none;
    }

.icon-circle-grey {
    background: #7D7D7D;
    border-radius: 100%;
    color: #FFFFFF;
    padding: 1px 0.5px 0.5px 1px;
}


/*Element-btn*/
.btn-bg-white-dashed-circle,
.btn-bg-white-dashed-circle:hover,
.btn-bg-white-dashed-circle:focus {
    background: #FFFFFF;
    border: 1px dashed #D9D9D9;
    color: #000000D9;
}

.btn-bg-white-circle,
.btn-bg-white-circle:hover,
.btn-bg-white-circle:focus {
    background: #FFFFFF;
    border: 1px solid #00A5BD;
    color: #00A5BD;
}

.btn-bg-white-circle-red,
.btn-bg-white-circle-red:hover,
.btn-bg-white-circle-red:focus {
    background: #FFFFFF;
    border: 1px solid #FF0000;
    color: #FF0000;
}




/*Element-p*/
p.no-data {
    text-align: center;
    color: #CECCCC;
}

p.ng-alert {
    font-size: 12px;
    font-weight: 500;
    line-height: 18px;
    letter-spacing: 0em;
    color: #CE3838;
}

p.ng-warn {
    font-size: 12px;
    font-weight: 500;
    line-height: 18px;
    letter-spacing: 0em;
    color: #F68D11;
}

p.intro {
    font-size: 12px;
    font-weight: 600;
    line-height: 12px;
    letter-spacing: 0em;
    text-align: left;
    color: #7D7D7D
}
/*Element-remark*/
.before-remark {
    color: #F4A21A;
}

.edit-remark {
    color: #7D7D7D;
}

/*Element-chosen*/

.bg-white {
    background: #FFF;
}

.bg-grey {
    background: #F0F2F5;
}

.bg-light-orange {
    background: #FFFBE6;
}

.department-row:not(:last-child) .department-create {
    display: none !important;
}


.cursor-pointer {
    cursor: pointer;
}

    .cursor-pointer[disabled] {
        cursor: no-drop;
    }

.cursor-default {
    cursor: default !important;
}

/*div input*/
div.editor {
    display: inline-flex;
}

    div.editor > i {
        margin: auto;
    }

    div.editor > [contenteditable][placeholder] {
        -moz-appearance: textfield;
        font: -moz-field, sans-serif;
        padding: 2px 5px;
        margin: 5px;
        cursor: text;
    }

        div.editor > [contenteditable][placeholder]:focus {
            outline: none;
        }

        div.editor > [contenteditable][placeholder]:empty:before {
            content: attr(placeholder);
            position: absolute;
            color: #c0c0c4;
            background-color: transparent;
        }

.mobile-body {
    display: flex;
    flex-direction: column;
    height: 100%;
}

    .mobile-body .header-area {
        margin-top: -50px;
        padding-top: 16px
    }

    .mobile-body .body-area {
        flex-grow: 1;
    }

    .mobile-body .footer-area {
        padding: 12px 16px 12px 16px;
    }

.mobile-popup-banner {
    flex-direction: column;
    margin: 0;
    display: flex;
    justify-content: space-between;
    box-shadow: 3px 3px 0px 0px #0000001A;
}

    .mobile-popup-banner .header {
        margin: 10px;
        font-size: 18pt;
        font-weight: bold;
    }

    .mobile-popup-banner .footer {
        width: 100%;
        height: auto;
    }

.mobile-popup-banner-down .footer {
    padding: 0px 0px 0px 0px;
}

.mobile-popup-banner-up .footer {
    padding: 20px 0 0px 0;
}

@media(min-width: 992px) {
    .main-content-inner {
        height: calc(100dvh - 41px);
    }

    .mobile-popup-banner-down {
        border-top-left-radius: 24px;
        border-top-right-radius: 24px;
        position: absolute;
        background-color: white;
        width: 25dvw;
        height: auto;
        overflow-y: auto;
        bottom: 10px;
        left: 0;
        right: 0;
        margin-left: auto;
        margin-right: auto;
        z-index: 1051;
    }

    .mobile-popup-banner-up {
        border-bottom-left-radius: 24px;
        border-bottom-right-radius: 24px;
        position: absolute;
        background-color: white;
        width: 25dvw;
        height: auto;
        overflow-y: auto;
        top: 0px;
        left: 0;
        right: 0;
        margin-left: auto;
        margin-right: auto;
        z-index: 1051;
    }

    #mobile-popup-scrim {
        position: absolute;
        height: 100%;
        width: 100%;
        top: 0px;
        left: 0px;
        background-color: rgba(0, 0, 0, 0.513);
        z-index: 1050;
    }

    #reader-container {
        max-width: 1200px;
        margin: auto;
    }

    #reader {
        width: 80%;
        margin: auto;
        padding: 0px;
    }

    .search-bar {
        padding: 16px 8px 16px 8px;
    }

    .package-type {
        width: 60%;
    }

    .package-search-list {
        overflow: auto;
        height: 70dvh;
    }
}

@media(max-width: 992px) {
    .page-content {
        height: 100dvh;
    }

    .no-skin .main-container .main-content {
        height: calc(100% - 48px);
        min-height: auto;
        border-left: none !important;
        width: 100%;
    }

        .no-skin .main-container .main-content .main-content-inner {
            height: 100%;
        }

            .no-skin .main-container .main-content .main-content-inner .page-content {
                height: calc(100% - var(--bottom-buttons));
            }

    .mobile-popup-banner-down {
        border-radius: 0px;
        border-top-left-radius: 24px;
        border-top-right-radius: 24px;
        position: absolute;
        width: 100%;
        background-color: white;
        height: auto;
        overflow-y: auto;
        bottom: 0px;
        left: 0;
        right: 0;
        margin-left: auto;
        margin-right: auto;
        z-index: 1051;
    }

    .mobile-popup-banner-up {
        border-bottom-left-radius: 24px;
        border-bottom-right-radius: 24px;
        position: absolute;
        width: 100%;
        background-color: white;
        height: auto;
        overflow-y: auto;
        top: 0px;
        left: 0;
        right: 0;
        margin-left: auto;
        margin-right: auto;
        z-index: 1051;
    }

    #mobile-popup-scrim {
        position: absolute;
        height: 100%;
        width: 100%;
        top: 0px;
        left: 0px;
        background-color: rgba(0, 0, 0, 0.513);
        z-index: 1050;
    }

    #reader {
        width: 100%;
        margin: 0px;
        padding: 0px;
    }

    #scanner {
        height: calc(100dvh - 240px - var(--bottom-buttons));
    }


    .search-bar {
        width: auto;
        padding: 16px 8px 16px 8px;
        display: flex;
        flex-direction: column;
    }

    .package-type {
        width: 100%;
    }

    .package-search-list {
        overflow: auto;
        height: calc(100dvh - 310px);
    }

    .mp-results {
        top: unset !important;
        bottom: 0 !important;
    }

    ol[type="I"] {
        list-style-type: none; /* 隱藏 I. II. III. */
        margin-left: 0; /* 移除原本為了放數字留下的左側空間 */
    }
}

.h-0 {
    height: 0;
}

.h-70 {
    height: 70%;
}

.h-80 {
    height: 80%;
}

.h-85 {
    height: 85%;
}

.h-160px {
    height: 160px;
}

.vh-10 {
    height: 10dvh;
}

.vh-25 {
    height: 25dvh;
}

.vh-50 {
    height: 50dvh;
}

.vh-60 {
    height: 60dvh;
}

.vh-70 {
    height: 70dvh;
}

.vh-75 {
    height: 75dvh;
}

.vh-80 {
    height: 80dvh;
}

.vw-25 {
    width: 25dvw;
}

.vw-35 {
    width: 35vw;
}

.vw-40 {
    width: 40dvw;
}

.vw-50 {
    width: 50dvw;
}

.vw-75 {
    width: 75dvw;
}

.max-height-768px {
    max-height: 768px
}

.max-height-50-vh {
    max-height: 50vh;
}

.border-dashed-grey {
    background-image: url("data:image/svg+xml,%3csvg width='100%25' height='100%25' xmlns='http://www.w3.org/2000/svg'%3e%3crect width='100%25' height='100%25' fill='none' stroke='silver' stroke-width='5' stroke-dasharray='10' stroke-dashoffset='0' stroke-linecap='square'/%3e%3c/svg%3e");
}

.border-dashed-blue {
    background-image: url("data:image/svg+xml,%3csvg width='100%25' height='100%25' xmlns='http://www.w3.org/2000/svg'%3e%3crect width='100%25' height='100%25' fill='none' stroke='darkcyan' stroke-width='5' stroke-dasharray='10' stroke-dashoffset='0' stroke-linecap='square'/%3e%3c/svg%3e");
}

.row-hover:hover div {
    background-color: #DDF6FB !important;
}

.svg-icon-hover:hover path {
    stroke: #00859C;
}

.svg-icon-hover:hover img {
    filter: invert(51%) sepia(34%) saturate(5787%) hue-rotate(155deg) brightness(94%) contrast(104%) !important;
}

.process-height {
    height: 8px;
}

.custom-container {
    min-width: fit-content;
    width: 100%;
}

    .custom-container .row {
        flex-wrap: nowrap;
    }

    .custom-container .col {
        min-width: 150px;
    }


.border-start-90 {
    position: relative;
}

    .border-start-90::after {
        content: "";
        position: absolute;
        right: 0;
        top: 5%;
        bottom: 5%;
        height: 90%; /* 控制框線的高度 */
        border-left: 1px solid var(--gray--50)
    }

.clear-after::after {
    content: none !important;
}

.remark-icon.have-data:after {
    position: absolute;
    content: '';
    background-color: var(--blue--600);
    border-radius: 50%;
    border: 1px solid #FFFFFF;
    width: 8px;
    height: 8px;
    pointer-events: none;
    margin-left: -6px;
    margin-top: 2px;
}

.remark-icon-order {
    width: 48px;
    height: 48px;
    background-color: var(--primary--50);
    color: var(--primary--600);
    border-radius: 16px;
    align-content: center;
    text-align: center;
    font-size: 24px;
}

.radio-card {
    border: 2px solid var(--gray--300);
    border-radius: 16px;
    padding: 18px 20px;
    display: flex;
    align-items: center;
    width: 100%;
}

    .radio-card:has(input[type="radio"]:checked) {
        border-color: var(--primary--600);
    }

    .radio-card .radio {
        margin-right: 18px;
        margin-top: 4px;
    }

        .radio-card .radio input[type="radio"] {
            appearance: none;
            outline: none;
            width: 22px;
            height: 22px;
            border: 1px solid var(--primary--600);
            border-radius: 50%;
        }

            .radio-card .radio input[type="radio"]:checked {
                background-color: var(--primary--600);
                box-shadow: inset 0 0 0 4px white; /* 模擬內圓 */
            }

    .radio-card .info {
        flex: 1;
    }


/* --- 電腦版樣式 --- */
.terms-title {
    display: flex;
    align-items: flex-start;
    padding-bottom: 16px;
}

    /* 使用偽元素生成羅馬數字，方便控制靠左對齊 */
    .terms-title::before {
        content: attr(data-roman); /* 從 HTML 的 data-roman 抓取 I. II. */
        margin-right: 4px; /* 與標題文字的間距 */
        min-width: 10px; /* 固定寬度確保文字對齊 */
    }

.terms-list {
    list-style-position: outside; /* 保持懸掛縮排，讓第二行文字對齊第一行 */
    font-size: 14px;
}

    .terms-list li {
        margin-bottom: 4px; /* 每個列表項目的間距 */
    }

.terms-text {
    font-size: 14px;
}
/* --- 手機版樣式 (RWD) --- */
@media (max-width: 992px) {
    /* 隱藏大標題前的羅馬數字 */
    .terms-title::before {
        display: none;
    }

    .terms-title {
        padding-left: 0;
    }
}


.olight-signal-status {
    font-size: 8px;
    display: inline-block;
    vertical-align: middle;
}

.package-type {
    border-radius: 8px;
    padding-right: 8px;
    padding-left: 8px;
    width: fit-content !important;
}

    .package-type.wholeproduct,
    .package-type.product {
        border: 1px solid #CDEBEA;
        background: #EEF8F8;
        color: #008788;
    }

    .package-type.component,
    .package-type.model {
        border: 1px solid #D8E5FF;
        background: #F2F6FF;
        color: #0079E0;
    }

    .package-type.part,
    .package-type.unit {
        border: 1px solid #D3EDC3;
        background: #F0F9EB;
        color: #008C00;
    }

    .package-type.multiple-part {
        border: 1px solid #FFD7EC;
        background: #FFF2F9;
        color: #DF1C8C;
    }

.order-type {
    border-radius: 8px;
    margin-right: 8px;
    padding-right: 8px;
    padding-left: 8px;
    width: fit-content;
}

    .order-type.delivery {
        background: #FE622D;
        color: #FFFFFF;
    }

    .order-type.pick-up {
        background: #3E97FB;
        color: #FFFFFF;
    }

.service-type {
    border-radius: 8px;
    padding-right: 8px;
    padding-left: 8px;
    width: fit-content;
}

    .service-type.rental {
        background: #EAECFF;
        color: #004EAC;
    }

    .service-type.purchase {
        background: #FFE6D8;
        color: #A51500;
    }


.order-status {
    border-radius: 8px;
    padding-right: 8px;
    padding-left: 8px;
    width: fit-content;
    max-width: 100%
}

    .order-status.red {
        background-color: var(--red--100) !important;
        color: var(--gray--900) !important;
    }

        .order-status.red i {
            color: var(--red--600) !important;
        }

    .order-status.orange {
        background-color: var(--gold--100) !important;
        color: var(--gray--900) !important;
    }

        .order-status.orange i {
            color: var(--gold--500) !important;
        }

    .order-status.green {
        background-color: var(--green--100) !important;
        color: var(--gray--900) !important;
    }

        .order-status.green i {
            color: var(--green--600) !important;
        }

    .order-status.blue {
        background-color: var(--blue--100) !important;
        color: var(--gray--900) !important;
    }

        .order-status.blue i {
            color: var(--blue--600) !important;
        }

    .order-status.gray {
        background-color: var(--gray--100) !important;
        color: var(--gray--900) !important;
    }

        .order-status.gray i {
            color: var(--gray--600) !important;
        }



.task-status {
    border-radius: 8px;
    padding-right: 8px;
    padding-left: 8px;
    width: fit-content;
    max-width: 100%
}

    .task-status.orange {
        background-color: var(--gold--100) !important;
        color: var(--gray--900) !important;
    }

        .task-status.orange i {
            color: var(--gold--500) !important;
        }

    .task-status.green {
        background-color: var(--green--100) !important;
        color: var(--gray--900) !important;
    }

        .task-status.green i {
            color: var(--green--600) !important;
        }

    .task-status.blue {
        background-color: var(--blue--100) !important;
        color: var(--gray--900) !important;
    }

        .task-status.blue i {
            color: var(--blue--600) !important;
        }

    .task-status.gray {
        background-color: var(--gray--100) !important;
        color: var(--gray--900) !important;
    }

        .task-status.gray i {
            color: var(--gray--600) !important;
        }


.part-status {
    border-radius: 8px;
    padding-right: 8px;
    padding-left: 8px;
    width: fit-content;
    max-width: 100%
}

    .part-status.red {
        background-color: var(--red--100) !important;
        color: var(--gray--900) !important;
    }

        .part-status.red i {
            color: var(--red--600) !important;
        }

    .part-status.orange {
        background-color: var(--gold--100) !important;
        color: var(--gray--900) !important;
    }

        .part-status.orange i {
            color: var(--gold--500) !important;
        }

    .part-status.green {
        background-color: var(--green--100) !important;
        color: var(--gray--900) !important;
    }

        .part-status.green i {
            color: var(--green--600) !important;
        }

    .part-status.blue {
        background-color: var(--blue--100) !important;
        color: var(--gray--900) !important;
    }

        .part-status.blue i {
            color: var(--blue--600) !important;
        }

    .part-status.gray {
        background-color: var(--gray--100) !important;
        color: var(--gray--900) !important;
    }

        .part-status.gray i {
            color: var(--gray--600) !important;
        }

.product-status {
    border-radius: 8px;
    padding-right: 8px;
    padding-left: 8px;
    width: fit-content;
}

    .product-status.blue {
        background-color: #E5EEFF !important;
        color: #272A2D !important;
    }

        .product-status.blue i {
            color: #3E97FB !important;
        }

    .product-status.gray {
        background-color: #ECEEF0 !important;
        color: #272A2D !important;
    }

        .product-status.gray i {
            color: #8F969D !important;
        }

    .product-status.green {
        background-color: #E2F3D6 !important;
        color: #272A2D !important;
    }

        .product-status.green i {
            color: #42AA14 !important;
        }

    .product-status.red {
        background-color: #FFE4DE !important;
        color: #272A2D !important;
    }

        .product-status.red i {
            color: #FF534C !important;
        }

.station-unit-status {
    border-radius: 8px;
    padding-right: 8px;
    padding-left: 8px;
    width: fit-content;
}

    .station-unit-status.gray {
        background-color: var(--gray--100);
        color: var(--gray--900);
    }

        .station-unit-status.gray i {
            color: #8F969D;
        }

    .station-unit-status.blue {
        background: #E5EEFF;
        color: var(--gray--900) !important;
    }

        .station-unit-status.blue i {
            color: #3E97FB !important
        }

.sku-status {
    border-radius: 8px;
    padding-right: 8px;
    padding-left: 8px;
    width: fit-content;
    max-width: 100%
}

    .sku-status.orange {
        background-color: var(--gold--100) !important;
        color: var(--gray--900) !important;
    }

        .sku-status.orange i {
            color: var(--gold--500) !important;
        }

    .sku-status.green {
        background-color: var(--green--100) !important;
        color: var(--gray--900) !important;
    }

        .sku-status.green i {
            color: var(--green--600) !important;
        }


.sync-status {
    border-radius: 16px;
    padding-right: 8px;
    padding-left: 8px;
    width: fit-content;
    max-width: 100%
}

    .sync-status.red {
        background-color: #FFE4DE !important;
        color: #272A2D !important;
    }

        .sync-status.red i {
            color: #FF534C !important;
        }

    .sync-status.green {
        background-color: var(--green--100) !important;
        color: var(--gray--900) !important;
    }

        .sync-status.green i {
            color: var(--green--600) !important;
        }
